Subject: RE: [Sip] Provisional response to terminate early dialog

From: "Christer Holmberg (JO/LMF)" <[email-masked]>
Date: Mon, 31 Jan 2005 08:20:54 +0100

Hi Jonathan,

It's not so much about the time, and in paralell forking scenarios I think that time could be even longer, couldn't it?

I'll try to explain the problem by giving a use case:

A UAC sends an INVITE. A proxy forwards the INVITE to UAS_1, which establish an early dialog and starts sending some kind of early media to the UAC (there may also be additional offer/answer transactions before the media starts). After that UAS_2 sends an error response to the proxy, which then forwards the INVITE to UAS_2.

Now, UAC has established, and may have reserved media/security/etc resources, for UAS_1, so it may choose not to accept the early dialog (or, at least possible early media) from UAS_2. Eg in 3GPP it is said that an UE may choose to reject additional early dialogs if they - for whatever reason - see a need to do so. 

However, if the UAC would know that the early dialog with UAS_1 has been terminated it could free all resources and possibly reserve newones for UAS_2. Also, it wouldn't have to think about things like media mixing etc - issues which have been very much discussed on this list.

Regards,

Christer Holmberg
Ericsson Finland

> -----Original Message-----
> From: Jonathan Rosenberg [mailto:[email-masked]]
> Sent: 30. tammikuuta 2005 16:39
> To: Christer Holmberg (JO/LMF)
> Cc: [email-masked]'
> Subject: Re: [Sip] Provisional response to terminate early dialog
> 
> 
> 
> 
> Christer Holmberg (JO/LMF) wrote:
> 
> > Hi,
> > 
> > Today, when a request gets forked, the forking proxy will 
> "collect" final responses received from the different dialogs.
> > 
> > The calling UAC, however, does now know when specific early 
> dialogs are
> > terminated, since the forking proxy will not forward the 
> final answer.
> > 
> > That means that the UAC may have to keep resources etc that 
> it reserved when the early dialog was created (by a 18x 
> provisional response)
> > available until the proxy forwards a final response.
> 
> This is a relatively small amount of time - 32 seconds.
> 
> > 
> > Would it somehow be possible to define a "dialog has been 
> terminated" response code that the proxy could
> > send to the UAC directly each time it receives an error 
> response from any of the forked dialogs. A provisional 
> response code would probably be good, because it would be 
> backward compatible (nodes that don't support it simply keeps 
> the early dialog alive until the final response comes from 
> the forking proxy, as today).
> 
> I don't really see what the problem is. Is this 32 seconds or so that 
> critical? Besides shaving a few seconds off the amount of time that a 
> UAC holds transaction state, is there any other benefit?
> 
> -Jonathan R.
> 
> -- 
> Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
> Director, Service Provider VoIP Architecture   Parsippany, NJ 
> 07054-2711
> Cisco Systems
> [email-masked]                              FAX:   (973) 952-5050
> http://www.jdrosen.net                         PHONE: (973) 952-5000
> http://www.cisco.com
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip